XOOPSCubeLegacy​/RC

How to upgrade anchor.png

Try it first at home! Means that it's preferable to try the upgrade in a copy of your site, in your pc and then move on the real world!

Page Top

Document anchor.png

If you have joined to 2.1 test, you can continue to test by updating your 2.1. If you hope to upgrade from 2.0.x, read a explanation. In any cases, you should back up your site before you start updating.

  • From xoops.org (draft)
  • From 2.0.x JP
  • From Alpha
  • From Beta
  • From Beta 3-d or later
  • From Beta SnapShot
  • From Beta 4
  • From RC to RC2
Page Top

About mainfile.php anchor.png

In the case of upgrading from some versions, you must patch your mainfile.php by methods written in documents. But, if you use XOOPS Protector, you have to adjust your mainfile.php as the following:

if (!defined('_LEGACY_PREVENT_LOAD_CORE_') && XOOPS_ROOT_PATH != '') {
  include(XOOPS_ROOT_PATH . '/modules/protector/include/precheck.inc.php');
  @include_once XOOPS_ROOT_PATH."/include/cubecore_init.php";
  if (!isset($xoopsOption['nocommon']) && !defined('_LEGACY_PREVENT_EXEC_COMMON_')) {
    include XOOPS_ROOT_PATH."/include/common.php";
  }
}

Front page   Freeze Diff Backup Copy Rename ReloadPrint View   New Page Page list Search Recent changes   Help   RSS of recent changes (RSS 1.0) RSS of recent changes (RSS 2.0) RSS of recent changes (RSS Atom) Powered by xpWiki
Counter: 29908, today: 1, yesterday: 3
Princeps date: 2006-11-14 (Tue) 22:54:21
Last-modified: 2007-04-17 (Tue) 15:46:25 (JST) (4511d) by Anonymous

Welcome | News | Overview | Documentation | Forum | Tutorialstop
Brasilian | French | German | Greek | Japanese | Korean | Russian | T-Chinese
Powered by XOOPS Cube 2001-2011 The XOOPS Cube Project